Source

riak jiak.py client_id / start-fresh.sh

Diff from to

start-fresh.sh

 #!/usr/bin/env bash
 # start-fresh <configfile>
 # create a brand new riak ring, using configfile as app config params
+if [ $# -lt 1 ]; then
+    echo Usage: 1>&2
+    echo "    `basename $0` <configfile>" 1>&2
+    exit 1
+fi
 . riak-env.sh
 NODENAME=$(erl -noshell -pa ebin -eval "error_logger:tty(false), riak_app:read_config(\"$1\"), io:format(\"~s~n\",[riak:get_app_env(riak_nodename)])" -run init stop)
 HOSTNAME=$(erl -noshell -pa ebin -eval "error_logger:tty(false), riak_app:read_config(\"$1\"), io:format(\"~s~n\",[riak:get_app_env(riak_hostname)])" -run init stop)